package cn.iocoder.yudao.module.system.service.extra;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.extra.vo.FirstServiceConfirmationPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.extra.ElderlyExtraFirstServiceConfirmationDO;
import java.util.List;

public interface ElderlyExtraFirstServiceConfirmationService {
    Long create(ElderlyExtraFirstServiceConfirmationDO createReqVO);
    void update(ElderlyExtraFirstServiceConfirmationDO updateReqVO);
    void delete(Long id);
    PageResult<ElderlyExtraFirstServiceConfirmationDO> findPage(FirstServiceConfirmationPageReqVO reqVO);
    ElderlyExtraFirstServiceConfirmationDO getDetail(Long id);
    List<ElderlyExtraFirstServiceConfirmationDO> getListByElderId(Long elderId);
}
